<?php
require('../librerias/PHPExcel/Classes/PHPExcel.php');


 $archivo = $_FILES['file']['tmp_name'];
 

$inputFileType = PHPExcel_IOFactory::identify($archivo);
$objReader = PHPExcel_IOFactory::createReader($inputFileType);
$objPHPExcel = $objReader->load($archivo);
$sheet = $objPHPExcel->getSheet(0); 
$highestRow = $sheet->getHighestRow(); 
$highestColumn = $sheet->getHighestColumn();

for ($row = 2; $row <= $highestRow; $row++){

    if(empty($sheet->getCell("B".$row)->getValue()) || $sheet->getCell("B".$row)->getValue() == null){ continue; }	

	$Fecha_excel = $sheet->getCell('A'.$row);
	$Conversion = $Fecha_excel->getValue();
	if(PHPExcel_Shared_Date::isDateTime($Fecha_excel)){
	  $Conversion = date($format = "Y-m-d", PHPExcel_Shared_Date::ExcelToPHP($Conversion));
	}
	

	$ch = curl_init('http://200.24.13.60/~program1/power-time-api/public/obtenerpersonarut'); //create a new cURL resource
	$payload = json_encode(array('rut' => rut($sheet->getCell("B".$row)->getValue())));
	curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);//attach encoded JSON string to the POST fields
	curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
	$result = curl_exec($ch); //execute the POST request
	$array = json_decode($result);

	$id = $array[0]->id;
	$rut = $array[0]->rut;	
	$nombre = strtoupper(utf8_decode($array[0]->nombre ." ".$array[0]->apellido));		

    $cantidad = $sheet->getCell("C".$row)->getValue();
	if(empty($cantidad) || $cantidad == null ) { $cantidad = 1; }

	if($cantidad <= 8) { $cantidad = "0".$cantidad.":00"; }
	if($cantidad >= 10 && $cantidad <= 60) { $cantidad = "00:".$cantidad; }

	$ch2 = curl_init('http://200.24.13.60/~program1/power-time-api/public/validahoraextratrabajador'); //create a new cURL resource
	$payload2 = json_encode(array('id_persona' => $id, 'fecha' => $Conversion));
	curl_setopt($ch2, CURLOPT_POSTFIELDS, $payload2);//attach encoded JSON string to the POST fields
	curl_setopt($ch2, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
	curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
	$result2 = curl_exec($ch2); //execute the POST request
	$array2 = json_decode($result2);
		
	$mensaje = "";
	if($array2[0] > 0) { $mensaje = "<span class='badge badge-danger'>Usuario cuenta con Hora Extra En periodo Seleccionado</span>"; }	
		
	$vetor[] = array(
		'rut' => $rut,
		'nombre' => $nombre,	
		'id' => $id,			
		'fecha' => $Conversion,		
		'cantidad' => $cantidad,		
		'mensaje' => $mensaje,		
		'error' => $array2[0]  			
	); 		
	
}


function rut( $rut ) {
	$rut = str_replace(".","",$rut);
	$rut = str_replace("-","",$rut);
	
    return number_format( substr ( $rut, 0 , -1 ) , 0, "", ".") . '-' . substr ( $rut, strlen($rut) -1 , 1 );
}

echo json_encode($vetor);


?>